%define with_tests 0
%global _disable_ld_no_undefined 1

%global srcname fast_xml

%global p1_utils_ver 1.0.25

Name:    erlang-%{srcname}
Version: 1.1.49
Release: %mkrel 3
Group:   Development/Erlang

License: ASL 2.0
Summary: Fast Expat based Erlang XML parsing and manipulation library
URL:     https://github.com/processone/fast_xml/
Source0: https://github.com/processone/fast_xml/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: erlang-edoc
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: expat-devel

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
Fast Expat based Erlang XML parsing and manipulation library, with a strong
focus on XML stream parsing from network. It supports full XML structure
parsing, suitable for small but complete XML chunks, and XML stream parsing
suitable for large XML document, or infinite network XML stream like XMPP.
This module can parse files much faster than built-in module xmerl. Depending
on file complexity and size xml_stream:parse_element/1 can be 8-18 times faster
than calling xmerl_scan:string/2.


%prep
%autosetup -n fast_xml-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=$RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/

%if %with_tests
%check
%{rebar_eunit}
%endif

%files
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{erlang_appdir}




%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.1.49-3.mga10
+ Revision: 2250346
- Mageia 10 Mass Rebuild

* Tue Apr 01 2025 papoteur <papoteur> 1.1.49-2.mga10
+ Revision: 2172426
- rebuild for erl_nif_version 2.17

* Wed Aug 03 2022 neoclust <neoclust> 1.1.49-1.mga9
+ Revision: 1874733
- New version 1.1.49

* Tue Apr 05 2022 umeabot <umeabot> 1.1.48-2.mga9
+ Revision: 1844099
- Mageia 9 Mass Rebuild

* Thu Feb 10 2022 neoclust <neoclust> 1.1.48-1.mga9
+ Revision: 1772784
- New version 1.1.48

* Sun Aug 15 2021 wally <wally> 1.1.47-1.mga9
+ Revision: 1741418
- new version 1.1.47

* Sun Dec 20 2020 neoclust <neoclust> 1.1.45-1.mga8
+ Revision: 1661911
- New version 1.1.45

* Sun Dec 20 2020 neoclust <neoclust> 1.1.43-1.mga8
+ Revision: 1661664
- New version 1.1.43

* Wed Feb 12 2020 umeabot <umeabot> 1.1.32-2.mga8
+ Revision: 1511429
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 wally <wally> 1.1.32-1.mga7
+ Revision: 1288408
- new version 1.1.32 (sync with Fedora)

* Sun Jun 04 2017 neoclust <neoclust> 1.1.15-2.mga6
+ Revision: 1106719
- Disable tests on the BS

* Thu Nov 17 2016 neoclust <neoclust> 1.1.15-1.mga6
+ Revision: 1067873
- imported package erlang-fast_xml

